# Generated from bittrex-enterprise-0.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bittrex-enterprise

Name: rubygem-%{gem_name}
Version: 0.9
Release: 1%{?dist}
Summary: Ruby implementation of the Bittrex v3 API
License: MIT
URL: https://github.com/vertbase/bittrex-enterprise
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov) >= 0.16.0
# BuildRequires: rubygem(simplecov) < 0.17
# BuildRequires: rubygem(simplecov-console) >= 0.5.0
# BuildRequires: rubygem(simplecov-console) < 0.6
BuildArch: noarch

%description
Ruby implementation of the Bittrex v3 API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.DS_Store
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/bittrex-enterprise.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.9-1
- Initial package
